#!/bin/bash
echo '-x/Users/kev/.config/mle.lua'
echo '-w1'                                      # soft word wrap
echo '-c80'                                     # mark col 80
echo '-b1'                                      # highlight bracket pairs
echo '-i1'                                      # auto indent
echo '-t2'                                      # tab width to 2
echo '-Ssyn_makefile,(/?Makefile|\.mk)$,4,0'    # syn_makefile
echo '-s^\t+,,515,0'
echo '-s^[^:\s]+(?=:),,260,0'
echo '-s^[^=\s]+(?==),,261,0'
echo '-Ssyn_mlerc,\.?mlerc$,4,1'                # syn_mlerc
echo '-s^;.*,,7,0'
echo '-Ssyn_markdown,\.md$,4,1'                 # syn_markdown
echo '-s^#.*,,256,0'
echo '-s^>.*,,4,0'
echo '-s^\s*(\*|\d+.),,6,0'
echo '-s^(\t| {4})(?=\S),,515,0'
echo '-Ssyn_terraform,\.tf$,2,1'                # syn_terraform
echo '-s^(module|output|provider|resource|variable|locals|terraform|data),,1285,0'
echo '-s[\[\]{}=],,258,0'
echo '-s(\d+|true|false),261,0'
echo '-s".*?",,4,0'
echo '-s{.*},,4,0'
echo '-s#.*$,,0,0'
echo '-Ssyn_generic,(\.jsx)$,2,0'    # syn_generic
echo '-Kmle_as,,1'                              # custom mode
echo '-kcmd_move_up,C-p,'
echo '-kcmd_move_down,C-n,'
echo '-kcmd_move_right,C-f,'
echo '-kcmd_move_left,C-b,'
echo '-kcmd_delete_after,C-d,'
#echo '-kcmd_insert_newline_below,C-m,'
echo '-kcmd_insert_newline_above,C-o,'
echo '-kcmd_delete_word_before,M-backspace,'
echo '-kcmd_save,C-x C-s,'
echo '-kcmd_quit,C-x C-c,'
echo '-kcmd_open_file,C-x C-f,'
echo '-kcmd_isearch,C-s,'
echo '-kcmd_move_beginning,home,'
echo '-kcmd_move_end,end,'
echo '-kcmd_move_beginning,M-<,'
echo '-kcmd_move_end,M->,'
echo '-kcmd_uncut,C-y,'
echo '-kcmd_cut,C-w,'
echo '-kcmd_copy,M-w,'
echo '-kcmd_undo,C-/,'
echo '-kcmd_undo,C-u,'
echo '-kcmd_redo,C-r,'
echo '-kcmd_toggle_anchor,C-space,'
echo '-kcmd_toggle_anchor,M-space,'
echo '-kcmd_fsearch,C-x p f,'
echo '-kcmd_browse,C-x p b,'
echo '-kcmd_blist,C-x B,'
echo '-kcmd_close,M-k,'
echo '-kcmd_suspend,C-z,'
echo '-kcmd_move_until_forward,M-/ **,'
echo '-kcmd_move_until_back,M-? **,'
echo '-kcmd_cut_by,C-k,eol'
echo '-kcmd_cut_by,M-d,word_forward'
echo '-kcmd_cut_by,M-backspace,word_back'
echo '-kcmd_perl,C-x P,'
echo '-kcmd_split_vertical,C-x 3,'
echo '-kcmd_split_horizontal,C-x 2,'
echo '-kcmd_delete_forward_to_char,M-; **,'
echo '-kcmd_delete_back_to_char,M-: **,'
echo '-kcmd_move_bracket_toggle,M-[,'
echo '-kcmd_replace,M-%,'
command -v tableize &>/dev/null && echo '-kcmd_shell,M-x t,tableize 2>/dev/null'
echo '-nmle_as'
